#ifndef NFC_H
#define NFC_H

#include <PubSubClient.h>
#include <MFRC522.h>

class NFC
{
    private:
        MFRC522* rfid;
        MFRC522::Uid uid;
        bool cardSelected;

    public:
        NFC(int pin_ss, int pin_rst);
        bool hasNewCard();
        void selectCard();
        void deselectCard();
        bool isCardLost();  

        MFRC522::StatusCode Transceive(byte* command, byte command_len, byte* response, byte response_len);
};

#endif
